/** SerialVersionBuilder.java created at 2005-1-21 3:34:14 by elvis */

package ksource.eclipse.util.serialver;

import java.io.ObjectStreamClass;

/**
 * class to build SerialVersionUID for another class. 
 * @author elvis
 */
public final class SerialVersionBuilder {

    /**
     * build a SerialVersionUID for the class specified
     * @param clazz
     * @return
     */
    public static long buildSerialVersion(Class clazz){
        ObjectStreamClass streamClass = ObjectStreamClass.lookup(clazz);
        if(null != streamClass){
            return streamClass.getSerialVersionUID();
        }
        return 0L;
    }
}
